# Contributing

## What

Starting from April 29, 2024, all individual contributors' contributions are only possibly accepted after they sign the CLA.

We do not accept corporate contributions at this moment.

You can check out [CLA](./CLA.md).

## Steps

1. Make some changes to the code. Open a pull request.
2. A rebot will check the status.
   ![robot check](./assets/cla-process/cla-robot-alert.png)
3. Read the [CLA](./CLA.md) carefully and make a decision.
4. If you decide to sign the CLA, please make a comment "I have read the CLA Document and I hereby sign the CLA".
5. If you decide to not sign the CLA, please close the PR.
6. The robot should recheck and pass the check automatically.
   ![robot recheck](./assets/cla-process/cla-sign-and-pass.png)
7. Your pr will be reviewed.
8. If you sign the CLA and submit some more PRs, the robot should pass the test automatically.
